%define		_class		LiveUser
%define		upstream_name	%{_class}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.16.14
Release:	%mkrel 7
Summary:	User authentication and permission management framework
License:	LGPL
Group:		Development/PHP
URL:		http://pear.php.net/package/LiveUser/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-Event_Dispatcher
BuildArch:	noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
LiveUser is a set of classes for dealing with user authentication
  and permission management. Basically, there are three main elements that
  make up this package:

  * The LiveUser class
  * The Auth containers
  * The Perm containers

  The LiveUser class takes care of the login process and can be configured
  to use a certain permission container and one or more different auth
containers.
  That means, you can have your users' data scattered amongst many data
containers
  and have the LiveUser class try each defined container until the user is
found.
  For example, you can have all website users who can apply for a new
account online
  on the webserver's local database. Also, you want to enable all your
company's
  employees to login to the site without the need to create new accounts
for all of
  them. To achieve that, a second container can be defined to be used by
the LiveUser class.

  You can also define a permission container of your choice that will
manage the rights for
  each user. Depending on the container, you can implement any kind of
permission schemes
  for your application while having one consistent API.

  Using different permission and auth containers, it's easily possible to
integrate
  newly written applications with older ones that have their own ways of
storing permissions
  and user data. Just make a new container type and you're ready to go!

  Currently available are containers using:
  PEAR::DB, PEAR::MDB, PEAR::MDB2, PECL::PDO, PEAR::XML_Tree, PEAR::Auth,
Session.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/LiveUser.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/LiveUser.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/LiveUser
fi

%files
%doc docs/LiveUser/*
%{peardir}/*
%{xmldir}/LiveUser.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.16.14-7.mga6
+ Revision: 950480
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 0.16.14-6.mga5
+ Revision: 795674
- exclude deps from doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.16.14-5.mga5
+ Revision: 748820
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.16.14-4.mga5
+ Revision: 734059
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.16.14-3.mga5
+ Revision: 687321
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.16.14-2.mga4
+ Revision: 528104
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.16.14-1.mga4
+ Revision: 443455
- upgrade to version 0.16.14
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.16.12-7.mga3
+ Revision: 376797
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 0.16.12-6.mga1
+ Revision: 47507
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-LiveUser


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.16.12-6mdv2011.0
+ Revision: 613698
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16.12-5mdv2010.1
+ Revision: 473552
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.16.12-4mdv2010.0
+ Revision: 441241
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.16.12-3mdv2009.1
+ Revision: 322272
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.16.12-2mdv2009.0
+ Revision: 236905
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.16.12-1mdv2007.1
+ Revision: 140450
- 0.16.12
- add a bunch of missing files

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.16.11-1mdv2007.1
+ Revision: 81993
- Import php-pear-LiveUser

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.16.11-1mdk
- 0.16.11

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.16.8-1mdk
- 0.16.8
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15.1-1mdk
- initial Mandriva package (PLD import)

